
import random
import pandas as pd
import numpy as np

def random_data_generator(num_rows=1000):
    """
    Generate random data for a DataFrame.
    """
    data = {
        'A': np.random.randint(1, 100, num_rows),
        'B': np.random.rand(num_rows),
        'C': np.random.choice(['foo', 'bar', 'baz'], num_rows)
    }
    df = pd.DataFrame(data)
    return df



